Bug 464934 - RHEL5 cmirror tracker: mulitple mirror creation can still lead to a time out failure
RHEL5 cmirror tracker: mulitple mirror creation can still lead to a time out ...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cmirror (Show other bugs)
5.3
All Linux
high Severity high
: rc
: ---
Assigned To: Jonathan Earl Brassow
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-01 10:55 EDT by Corey Marthaler
Modified: 2010-01-11 21:08 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:26:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2008-10-01 10:55:19 EDT
Description of problem:
There were plenty of bugs opened wrt timeout issues and creation failures, but I don't think any are still open, so I'm opening a new bz since this is fairly easy to reproduce.

[root@hayes-02 ~]# for i in $(seq 1 20); do lvcreate -m 1 -n mirror$i -L 5G hayes; sleep 5; done
  Logical volume "mirror1" created
  Logical volume "mirror2" created
  Logical volume "mirror3" created
  Logical volume "mirror4" created
  Logical volume "mirror5" created
  Logical volume "mirror6" created
  Logical volume "mirror7" created
  Logical volume "mirror8" created
  Logical volume "mirror9" created
  Logical volume "mirror10" created
  Logical volume "mirror11" created
  Logical volume "mirror12" created
  Logical volume "mirror13" created
  Logical volume "mirror14" created
  Logical volume "mirror15" created
  Logical volume "mirror16" created
  Logical volume "mirror17" created
  Logical volume "mirror18" created
  Error locking on node hayes-02: Command timed out
  Aborting. Failed to activate mirror log.
  Failed to create mirror log.
  Logical volume "mirror20" created

Version-Release number of selected component (if applicable):
2.6.18-115.gfs2abhi.001

lvm2-2.02.40-3.el5    BUILT: Thu Sep 25 14:59:07 CDT 2008
lvm2-cluster-2.02.40-3.el5    BUILT: Thu Sep 25 15:00:54 CDT 2008
device-mapper-1.02.28-2.el5    BUILT: Fri Sep 19 02:50:32 CDT 2008
cmirror-1.1.28-1.el5    BUILT: Tue Sep 30 15:48:54 CDT 2008
kmod-cmirror-0.1.18-1.el5    BUILT: Mon Sep 29 16:20:21 CDT 2008
Comment 1 Corey Marthaler 2008-10-06 12:00:13 EDT
Hit this again while just creating one cmirror (and one linear):

SCENARIO - [split_lv_from_vg_with_mirror]
Split out a lv from vg with additional mirror on hayes-01
free pvs for hayes-01: /dev/etherd/e1.1p1 /dev/etherd/e1.1p2 /dev/etherd/e1.1p3 /dev/etherd/e1.1p
create a linear and a mirror in the same vg (different pvs)
  Error locking on node hayes-03: device-mapper: reload ioctl failed: Invalid argument
  Aborting. Failed to activate new LV to wipe the start of it.
couldn't create logical volume

Oct  4 13:43:38 hayes-01 qarshd[2402]: Running cmdline: lvcreate -n linear -L 100M seven /dev/etherd/e1.1p1
Oct  4 13:43:39 hayes-01 qarshd[2417]: Running cmdline: lvcreate -m 1 -n mirror -L 100M seven /dev/etherd/e1.1p2 /dev/etherd/e1.1p3 /dev/etherd/e1.1p4


Oct  4 13:44:37 hayes-03 kernel: device-mapper: table: 253:6: mirror: Error creating mirror dirty log
Oct  4 13:44:37 hayes-03 kernel: device-mapper: ioctl: error adding target to table
Comment 2 Corey Marthaler 2008-10-15 17:19:30 EDT
This is likely bz 464550, but will wait for a fix to be certain before closing as a dup.
Comment 3 Jonathan Earl Brassow 2008-10-21 10:20:23 EDT
commit e07369b28d7a569e742d80152ef10c9d42bc2650
Author: Jonathan Brassow <jbrassow@redhat.com>
Date:   Mon Oct 20 12:27:08 2008 -0500

    clogd: Additional fixes for bug 460156 and 464550

    - Fixed a checkpoint ordering issue, where a checkpoint could be populated
      with data from the wrong moment in time.
    - Fixed problem where resending requests when a server leaves would include
      requests that should have been recieved after the server had gone (so no
      resend should have been necessary).
Comment 7 Corey Marthaler 2008-12-02 15:47:49 EST
Marking this verified. No longer seeing this issue in recent cmirror builds.
Comment 9 errata-xmlrpc 2009-01-20 16:26:05 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0158.html

Note You need to log in before you can comment on or make changes to this bug.